Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TFault

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleAttributesDocumented
              org.apache.cxf.wsdl.TFault

    public class TFault

extends TExtensibleAttributesDocumented

Java class for tFault complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tFault">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleAttributesDocumented">
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="message" use="required" type="{http://www.w3.org/2001/XMLSchema}QName" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected javax.xml.namespace.QName` | `message`
`protected java.lang.String` | `name`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TFault()`

Method Summary
`javax.xml.namespace.QName` | `getMessage()` Gets the value of the message property.
`java.lang.String` | `getName()` Gets the value of the name property.
`boolean` | `isSetMessage()`
`boolean` | `isSetName()`
`void` | `setMessage(javax.xml.namespace.QName value)` Sets the value of the message property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.

Methods inherited from class org.apache.cxf.wsdl.TExtensibleAttributesDocumented
`getOtherAttributes`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### message

    protected javax.xml.namespace.QName message

Constructor Detail

### TFault

    public TFault()

Method Detail

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

### getMessage

    public javax.xml.namespace.QName getMessage()

  Gets the value of the message property.

  Returns:
    possible object is `QName`

### setMessage

    public void setMessage(javax.xml.namespace.QName value)

  Sets the value of the message property.

  Parameters:
    `value` - allowed object is `QName`

### isSetMessage

    public boolean isSetMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF